font {
    font-family: 'iconfont';
    display: inline-flex;
    align-items: center;
    justify-content: center;
}

/* 铺满图片 */
.fullimg {
    overflow: hidden;
}

.fullimg img {
    width: 100%;
    height: 100%;
    display: inline-block;
    -o-object-fit: cover;
    object-fit: cover;
    transition: all 0.2s;
}

.float-tool {
    width: 100px;
    height: 400px;
    position: fixed;
    right: 16px;
    top: 50%;
    transform: translateY(calc(-50% + 48px));
    z-index: 5;
}

.float-tool li {
    width: 100%;
    height: 100px;
    background: #f5f5f5;
    margin-bottom: 12px;
    transition: all 0.6s;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    cursor: pointer;
    border: 1px solid rgba(153, 153, 153, 0.3);
    border-radius: 6px;
}

.float-tool li .icon,
.float-tool li span {
    transition: all 0.6s;
}

.float-tool li a {
    width: 100%;
    height: 100%;
    display: flex;
    font-size: 20px;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.float-tool li.qrc .icon,
.float-tool li.tel .icon,
.float-tool li.online .icon {
    color: #3a6aea;
    font-size: 30px;
}

.float-tool li.qrc span,
.float-tool li.tel span,
.float-tool li.online span {
    color: #282828;
    font-size: 14px;
    margin-top: 4px;
}

.float-tool li.qrc,
.float-tool li.tel {
    position: relative;
}

.float-tool li.qrc .popup,
.float-tool li.tel .popup {
    position: absolute;
    background: #f5f5f5;
    display: flex;
    flex-direction: column;
    justify-content: center;
    transition: all 0.6s;
    visibility: hidden;
    opacity: 0;
    z-index: -1;
    margin-right: -20px;
}

.float-tool li.qrc .popup {
    height: 200px;
    top: -50px;
    right: 100px;
}

.float-tool li.tel .popup {
    width: 248px;
    height: 100px;
    padding-left: 20px;
    top: 0;
    right: 100px;
}

.float-tool li.qrc .popup p,
.float-tool li.tel .popup p {
    white-space: nowrap;
}


.float-tool li.tel .popup p {
    font-size: 16px;
    line-height: 32px;
    color: #666666;
}

.float-tool li.tel .popup p.tel-no {
    font-size: 16px;
    color: #282828;
}

.float-tool li.qrc .popup {
    padding: 6px 10px;
}

.float-tool li.qrc .popup .fullimg {
    width: 180px;
    height: 200px;
}


@media screen and (min-width:1151px) {

    .float-tool li.qrc:hover .popup,
    .float-tool li.tel:hover .popup {
        visibility: visible;
        margin-right: 0;
        opacity: 1;
    }

    .float-tool li:hover {
        background: #0765fe;
        border-color: #0765fe;
    }

    .float-tool li:hover .icon,
    .float-tool li:hover span {
        color: #fff;
    }
}

@media screen and (max-width:1150px) {

    .float-tool li.qrc.act .popup,
    .float-tool li.tel.act .popup {
        visibility: visible;
        margin-right: 0;
        opacity: 1;
    }

    .float-tool li.act {
        background: #0765fe;
        border-color: #0765fe;
    }

    .float-tool li.act .icon,
    .float-tool li.act span {
        color: #fff;
    }
}

@media screen and (max-width:990px) {}

@media screen and (max-width:770px) {}

@media screen and (max-width:500px) {
    .float-tool {
        width: 60px;
        height: 240px;
        right: 8px;
        transform: translateY(calc(-50% + 24px));
    }

    .float-tool li {
        height: 60px;
        margin-bottom: 6px;
        border-radius: 3px;
    }

    .float-tool li a {
        font-size: 12px;
    }

    .float-tool li.qrc .icon,
    .float-tool li.tel .icon,
    .float-tool li.online .icon {
        font-size: 16px;
    }

    .float-tool li.qrc span,
    .float-tool li.tel span,
    .float-tool li.online span {
        font-size: 12px;
        margin-top: 2px;
    }

    .float-tool li.qrc .popup,
    .float-tool li.tel .popup {
        margin-right: -10px;
    }

    .float-tool li.qrc .popup {
        height: 120px;
        top: -30px;
        right: 60px;
    }

    .float-tool li.tel .popup {
        width: 214px;
        height: 60px;
        padding-left: 10px;
        right: 60px;
    }


    .float-tool li.tel .popup p {
        font-size: 14px;
        line-height: 24px;
    }

    .float-tool li.tel .popup p.tel-no {
        font-size: 14px;
    }

    .float-tool li.qrc .popup {
        padding: 2px 6px;
    }

    .float-tool li.qrc .popup .fullimg {
        width: 100px;
        height: 120px;
    }
}